| Home | Libraries | People | FAQ | More

## Struct template min_assign<Left, Right, std_valarray_tag, std_valarray_tag>

boost::numeric::functional::min_assign<Left, Right, std_valarray_tag, std_valarray_tag>

## Synopsis

    // In header: <boost/accumulators/numeric/functional/valarray.hpp>

    template<typename Left, typename Right>
    struct min_assign<Left, Right, std_valarray_tag, std_valarray_tag> : public std::binary_function< Left, Right, void > {

      // public member functions
      void operator()(Left &, Right &) const;
    };

## Description

### `min_assign` public member functions

1.     void operator()(Left & left, Right & right) const;